Bug 1652885 - [Modularity][RHEL8]- RHEL8 HBT repo sync are failed to sync module streams
Summary: [Modularity][RHEL8]- RHEL8 HBT repo sync are failed to sync module streams
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories
Version: 6.5.0
Hardware: x86_64
OS: Linux
unspecified
high vote
Target Milestone: Released
Assignee: John Mitsch
QA Contact: Omkar Khatavkar
URL:
Whiteboard:
: 1644007 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-23 12:01 UTC by Omkar Khatavkar
Modified: 2019-10-07 17:19 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:05 UTC


Attachments (Terms of Use)
repo)sync.log (13.18 KB, text/plain)
2018-11-23 12:02 UTC, Omkar Khatavkar
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:15 UTC
Red Hat Bugzilla 1654264 None None None 2019-09-19 19:33:01 UTC

Internal Links: 1654264

Description Omkar Khatavkar 2018-11-23 12:01:51 UTC
Description of problem:
RHEL8 HBT repo sync is failed to sync module streams. This is happening with currently with repo 'Red Hat Enterprise Linux 8 for x86_64 - AppStream HTB RPMs'.
Works well with repo 'Red Hat Enterprise Linux 8 for x86_64 - AppStream HTB Kickstart'

Version-Release number of selected component (if applicable):
Satellite 6.5.4

How reproducible:
Not always only the first time, but module streams are never shown 

Steps to Reproduce:
1.Upload the RHEL8 manifest with HBT 
2. Add repos 'Red Hat Enterprise Linux 8 for x86_64 - AppStream HTB Kickstart' and  'Red Hat Enterprise Linux 8 for x86_64 - AppStream HTB RPMs'
3. now sync the repos.


Actual results:
Syncing for repo 'Red Hat Enterprise Linux 8 for x86_64 - AppStream HTB RPMs'
failed for module stream with an error 

Expected results:
Sync should work and module stream count should be displayed

Additional info:
Error Seen 

PG::UniqueViolation: ERROR:  duplicate key value violates unique constraint "katello_module_stream_artifacts_name_mod_stream_id_uniq"
DETAIL:  Key (module_stream_id, name)=(213, libsodium-static-0:1.0.16-4.el8+2111+bbd4edaa.x86_64) already exists.
: INSERT INTO "katello_module_stream_artifacts" ("module_stream_id", "name", "created_at", "updated_at") VALUES ($1, $2, $3, $4) RETURNING "id"

Comment 2 Omkar Khatavkar 2018-11-23 12:02:56 UTC
Created attachment 1508262 [details]
repo)sync.log

Comment 4 John Mitsch 2018-11-29 21:53:29 UTC
I was able to find a manifest that works, though it had the actual RHEL8 beta rather than the HTB.

I tried syncing with both "Red Hat Enterprise Linux 8 for x86_64 - AppStream Beta Kickstart" and "Red Hat Enterprise Linux 8 for x86_64 - AppStream Beta RPMs". The sync tasks completed successfully.

If you try again with the actual beta's do you see the same issue?

Comment 5 John Mitsch 2018-11-30 20:32:56 UTC
I tried the HTB repos upstream and these both synced correctly:

Red Hat Enterprise Linux 8 for x86_64 - AppStream HTB Kickstart
Red Hat Enterprise Linux 8 for x86_64 - AppStream HTB RPMs

We just branched katello 3.10, which (iiuc) will be the base for the 6.5 builds. I'm guessing a change that will be in katello 3.10 is not in 3.9 (which 6.5 builds are currently based on). 

Can we check this again once the Satellite 6.5 builds are based on Katello 3.10? I can look further if that still fails, but since upstream is so close to 6.5 builds right now, it should be fixed in the upcoming Satellite builds.

Comment 6 Partha Aji 2018-12-03 15:23:15 UTC
*** Bug 1644007 has been marked as a duplicate of this bug. ***

Comment 7 Omkar Khatavkar 2018-12-04 07:24:59 UTC
Verified on Satellite with Snap 6.5.7 version. Repos are getting synced successfully. The issue is fixed now.

Comment 9 errata-xmlrpc 2019-05-14 12:39:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.